## accountsservice 0.6.55-0ubuntu12~20.04.7%2B10.0trisquel1

=== debian/changelog ===
accountsservice (0.6.55-0ubuntu12~20.04.7+10.0trisquel1) nabia-security; urgency=medium

  * Enable users with low uid to be configured as non-systemusers.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Mar 2024 14:39:38 +0000

accountsservice (0.6.55-0ubuntu12~20.04.7) focal-security; urgency=medium

  * SECURITY UPDATE: possible encrypted password disclosure
    - debian/patches/CVE-2012-6655.patch: replace usermod -p with
      chpasswd -e in src/user.c, src/util.c, src/util.h.
    - CVE-2012-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 12:25:40 -0500

accountsservice (0.6.55-0ubuntu12~20.04.6) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Jun 2023 07:26:26 -0400

accountsservice (0.6.55-0ubuntu12~20.04.5) focal-security; urgency=medium

  * SECURITY UPDATE: double-free in the SetLanguage D-Bus method
    (LP: #1950149)
    - debian/patches/0010-set-language.patch: updated to remove g_autofree
      on result of user_get_fallback_value().
    - CVE-2021-3939
  * debian/patches/0010-set-language.patch: updated to fix minor memory
    leaks by adding g_autofree to results of user_update_environment().

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Nov 2021 07:23:14 -0500

accountsservice (0.6.55-0ubuntu12~20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: accountsservice drop privileges SIGSTOP DoS
    (LP: #1900255)
    - debian/patches/0010-set-language.patch: updated to not drop real uid
      and real gid in user_drop_privileges_to_user.
    - debian/patches/0009-language-tools.patch: updated to not reset
      effective uid.
    - CVE-2020-16126
  * SECURITY UPDATE: accountsservice .pam_environment infinite loop
    (LP: #1900255)
    - debian/patches/0010-set-language.patch: updated to use O_NOFOLLOW
      and limit the number of lines read from file.
    - CVE-2020-16127

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Nov 2020 12:03:54 -0500

accountsservice (0.6.55-0ubuntu12~20.04.2) focal; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Don't dismiss C.UTF-8 as an invalid locale name (LP: #1873678)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 10 Oct 2020 21:31:00 +0200

accountsservice (0.6.55-0ubuntu12~20.04.1) focal; urgency=medium

  * Backport from groovy to focal.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 May 2020 17:05:26 +0100

accountsservice (0.6.55-0ubuntu12) groovy; urgency=medium

  * Cherry-pick from unstable.
  * Add patch to not crash in the library when the daemon goes away
    (Closes: #948228) (LP: #1843982)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 May 2020 17:00:20 +0100

accountsservice (0.6.55-0ubuntu11) focal; urgency=medium

  * debian/control:
    - Dropped gnome-doc-utils from Build-Depends (removed from archive)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 30 Mar 2020 21:22:00 +0200

accountsservice (0.6.55-0ubuntu10) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Make the Language and FormatsLocale properties in the keyfile be
      in sync with ~/.pam_environment. In principle this restores the
      behavior to the state before 0.6.50 (LP: #1842349).
  * debian/patches/0016-add-input-sources-support.patch:
    - Refreshed the src/user.c chunks.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 15 Sep 2019 02:45:00 +0200

accountsservice (0.6.55-0ubuntu9) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Simplify logic when to set language and formats (LP: #1842349).
  * debian/control:
    - Change Maintainer to Ubuntu Developers.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 13 Sep 2019 22:05:00 +0200

accountsservice (0.6.55-0ubuntu8) eoan; urgency=medium

  * debian/rules:
    - Compile with -Dsystemd=true to fix libaccountsservice not working properly
      (LP: #1841382)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Sep 2019 15:33:47 +1200

accountsservice (0.6.55-0ubuntu7) eoan; urgency=medium

  * debian/patches/0020-support-login.defs.patch:
    - Remove this patch. When we updated to 0.6.55 the patch was mostly disabled
      due to heuristics being enabled by default in Meson. Debian dropped the
      patch in 2014 and the reason given for it being in Ubuntu was for Ubuntu
      Touch.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 04 Sep 2019 12:05:49 +1200

accountsservice (0.6.55-0ubuntu6) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Call user_locale_validate() separately and not as an argument
      when calling some other function. The latter has worked fine
      previously, but with latest gcc the arguments were not passed
      properly (LP: #1842212).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 02 Sep 2019 20:35:00 +0200

accountsservice (0.6.55-0ubuntu5) eoan; urgency=medium

  * debian/control, debian/rules:
    - Add dh-translations to Build-Depends and build with translations
      so the POT file gets updated.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 24 Aug 2019 00:57:00 +0200

accountsservice (0.6.55-0ubuntu4) eoan; urgency=medium

  * debian/libaccountsservice-doc.install:
    - Update for new documentation location
  * debian/docs:
    - Update for new README.md name
  * debian/libaccountsservice0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Aug 2019 15:14:31 +1200

accountsservice (0.6.55-0ubuntu3) eoan; urgency=medium

  * debian/control:
    - Add build-depends on gettext, policykit-1

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 19 Aug 2019 20:09:16 +1200

accountsservice (0.6.55-0ubuntu2) eoan; urgency=medium

  * debian/control:


=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.13),
 dh-translations,
 gettext,
 gir1.2-freedesktop,
 gir1.2-glib-2.0 (>= 1.34),
 gobject-introspection (>= 0.9.12-4~),
 gtk-doc-tools,
 libdbus-1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.44),
 libpolkit-gobject-1-dev,
 libsystemd-dev (>= 209) [linux-any],
 meson (>= 0.46.0),
 policykit-1,
 xmlto
Standards-Version: 4.1.0
Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends:
 dbus,
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-accountsservice-1.0 (= ${binary:Version}),
 libaccountsservice0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Breaks:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: query and manipulate user account information - documentation
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the developers reference for the
 AccountService library.

## accountsservice 22.07.5

=== debian/changelog ===
accountsservice (22.07.5-2ubuntu1.5) jammy-security; urgency=medium

  * SECURITY UPDATE: possible encrypted password disclosure
    - debian/patches/CVE-2012-6655.patch: replace usermod -p with
      chpasswd -e in src/user.c, src/util.c, src/util.h.
    - CVE-2012-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 11:55:23 -0500

accountsservice (22.07.5-2ubuntu1.4) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Jun 2023 07:25:34 -0400

accountsservice (22.07.5-2ubuntu1.3) jammy-security; urgency=medium

  * SECURITY UPDATE: accountsservice incorrect privilege dropping
    (LP: #1974250)
    - debian/patches/0009-language-tools.patch: updated to not reset
      effective uid, and migrate root-owned .pam_environment file.
    - This change was originally known as CVE-2020-16126 and got reverted
      by mistake in 0.6.55-3ubuntu1.
    - CVE-2022-1804
  * Fix FTBFS with a newer python-dbusmock package:
    - debian/patches/adduser_invocation.patch: fix invocation of AddUser in
      tests/dbusmock/accounts_service.py.
    - debian/patches/setlocked_signature.patch: fix the signature for the
      SetLocked call in tests/dbusmock/accounts_service.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 May 2022 20:02:04 -0400

accountsservice (22.07.5-2ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups than
      user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.
  * debian/patches/gitlab_change_types.patch:
    - fix changing account types failing on missing groups
  * debian/patches/gitlab_shared_tmp.patch:
    - don't use a private tmp since API clients sometime store files there

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 16:27:56 +0100

accountsservice (22.07.5-2) unstable; urgency=medium

  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - change back to error out if adding the user to a group fails but
      don't try to use a non existant group instead
  * d/p/0009-language-tools.patch:
    - restore permission marker that got lost by doing a quilt refresh,
      without those the script lack +x permission

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 12:10:38 +0100

accountsservice (22.07.5-1) unstable; urgency=medium

  * New upstream version
  * Remove the patches which are included in the update
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - changed to warn when trying to add the user to non existant
      groups rather than erroring out since the list is static and some
      default groups are created by optional packages.
  * debian/accountsservice.install:
    - install the new user-templates
  * debian/control, debian/compat:
    - include the build-depends needed for the tests and the vapis
    - updated libglib and meson requirements
    - use current debhelper and standards versions
  * debian/libaccountsservice0.symbols:
    - updated for the new version, the consolekit option has been removed
      but those symbols were not part of the public API
  * debian/libaccountsservice-dev.install:
    - install the vapis
  * debian/rules:
    - don't try to install the NEWS file which isn't provided anymore
    - remove the non existant systemd option

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Feb 2022 20:50:26 +0100

=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-translations,
               gobject-introspection (>= 0.9.12-4~),
               intltool,
               libdbus-1-dev (>= 1.9.18),
               libgirepository1.0-dev (>= 1.34),
               libglib2.0-dev (>= 2.63.5),
               libpolkit-gobject-1-dev,
               libsystemd-dev (>= 209) [linux-any],
               meson (>= 0.50),
               policykit-1,
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               valac,
               xmlto
Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
Standards-Version: 4.6.0.1
Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice

Package: accountsservice
Architecture: any
Depends: dbus (>= 1.9.18),
         libaccountsservice0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Suggests: gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-accountsservice-1.0 (= ${binary:Version}),
         libaccountsservice0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.11),
         libpolkit-gobject-1-dev,
         ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: query and manipulate user account information - documentation
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the developers reference for the
 AccountService library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

binaries := $(shell dh_listpackages)
extra_meson_options =

ifneq ($(filter libaccountsservice-doc,$(binaries)),)
extra_meson_options += -Dgtk_doc=true
else
extra_meson_options += -Dgtk_doc=false
endif

%:
	dh $@ --with=gir,translations

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocbook=true \
		-Dgdmconffile=/etc/gdm3/custom.conf \
		-Dadmin_group=sudo \
		-Dsystemdsystemunitdir=/lib/systemd/system \
		-Dintrospection=true \
		-Dextra_admin_groups=adm,cdrom,dip,lpadmin,plugdev,sambashare,libvirtd,lxd \
		$(extra_meson_options)

## accountsservice 22.08.8

=== meson_options.txt ===
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')
option('gdmconffile', type: 'string', value: '/etc/gdm/custom.conf', description: 'GDM configuration file')

option('admin_group', type: 'string', value: '', description: 'Set group for administrative accounts')
option('extra_admin_groups', type: 'array', value: [], description: 'Comma-separated list of extra groups that administrator users are part of')
option('minimum_uid', type: 'integer', value: 1000, description: 'Set minimum uid for human users')

option('elogind', type: 'boolean', value: false, description: 'Use elogind')

option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type: 'boolean', value: true, description : 'Enable Vala bindings for this build')

option('docbook', type: 'boolean', value: false, description: 'build documentation (requires xmlto)')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

=== debian/changelog ===
accountsservice (22.08.8-6) unstable; urgency=medium

  * Team upload
  * d/p/daemon-Don-t-crash-if-etc-shadow-doesn-t-exist.patch:
    Add patch to prevent a crash if /etc/shadow is missing or empty
    (Closes: #1031309)
  * d/patches: Mark most patches as having been applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Feb 2023 09:22:31 +0000

accountsservice (22.08.8-5) unstable; urgency=medium

  * Team upload
  * d/p/user-Use-correct-format-strings-to-print-accounts_user_ge.patch,
    d/p/Annotate-varargs-functions-with-G_GNUC_PRINTF.patch:
    Add proposed patches to fix autopkgtest failure on armel and armhf.
    A format string error led to a segfault on these architectures.
  * d/tests/integration.py: Set up libnss-systemd correctly.
    This doesn't actually matter for what we do in this test, but the
    format string was wrong, which would have resulted in getpwuid failing.
  * d/tests/integration.py: Add copyright/licensing headers
  * d/tests/integration.py: Resolve a TODO comment
  * d/tests/integration.py: Don't wait forever for state to change
  * d/tests/integration.py: Lint fixes

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Feb 2023 13:46:10 +0000

accountsservice (22.08.8-4) unstable; urgency=medium

  * Team upload
  * d/p/daemon-Clarify-use-of-generator_state-users.patch,
    d/p/daemon-Define-local-users-as-being-exactly-those-present-.patch:
    Replace previous solution for #1030262 with the version that was merged
    upstream.
    This has the effect that users existing in /etc/passwd but not
    /etc/shadow are treated as remote, which is as intended by upstream
    but had unintentionally regressed in 0.6.50.
    - d/p/daemon-Enumerate-all-users-in-etc-passwd-to-decide-which-.patch:
      Drop patch, superseded by the above
  * d/p/user-Replace-usermod-p-with-chpasswd-e.patch:
    Mark as having been applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Feb 2023 21:50:37 +0000

accountsservice (22.08.8-3) unstable; urgency=medium

  * Team upload
  * d/control: accountsservice Recommends polkitd.
    Without polkitd, its D-Bus interface will be essentially read-only.
  * d/tests/integration.py: Add an integration test.
    Among other things, this exercises #1030253 and #1030262, and detected
    the missing Recommends on polkitd.
  * d/p/user-Replace-usermod-p-with-chpasswd-e.patch:
    Add patch to avoid (encrypted) password being briefly visible in /proc
    (Closes: #757912; CVE-2012-6655)
    - d/tests/integration.py: Assert that CVE-2012-6655 was avoided
  * d/copyright: Fix a typo detected by Lintian
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Feb 2023 19:07:46 +0000

accountsservice (22.08.8-2) unstable; urgency=medium

  * Team upload

  [ Luca Boccassi ]
  * accountsservice: depend on default-dbus-system-bus | dbus-system-bus,
    instead of requiring a specific implementation

  [ Simon McVittie ]
  * d/control: Build-depend on polkitd instead of transitional policykit-1
    (Closes: #1025542)
  * d/patches: Re-export patch series (no functional changes)
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    Call adduser with --disabled-password instead of --disabled-login.
    These options did essentially the same thing in Debian 11, and probably
    older versions.
    Since adduser 3.130, --disabled-login has the additional effect of
    setting the user's shell to /usr/sbin/nologin, which is not the expected
    default when adding a user via an interface intended for managing
    human users' interactive login accounts. Switching to --disabled-password
    preserves previous functionality here.
    (Closes: #1030253)
  * d/p/daemon-Enumerate-all-users-in-etc-passwd-to-decide-which-.patch:
    Add proposed fix for local users sometimes being treated as remote,
    which results in a misleading UX in gnome-control-center
    (Closes: #1030262)

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Feb 2023 15:51:06 +0000

accountsservice (22.08.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Upstream commits to prevent FTBFS:
    - d/p/tests-fix-the-signature-for-the-SetLocked-call.patch
    - d/p/tests-fix-invocation-of-AddUser.patch
  * Drop d/p/0009-language-tools.patch
  * debian/libaccountsservice0.symbols:
    - Add new expiration policy related symbols
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 27 May 2022 00:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-translations,
                gobject-introspection (>= 0.9.12-4~),
                intltool,
                libdbus-1-dev (>= 1.9.18),
@@ -14,27 +12,26 @@
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 209) [linux-any],
                meson (>= 0.50),
-               policykit-1,
+               polkitd,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                valac,
                xmlto
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
-XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
+Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
 
 Package: accountsservice
 Architecture: any
-Depends: dbus (>= 1.9.18),
+Depends: default-dbus-system-bus | dbus-system-bus,
          libaccountsservice0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: default-logind | logind
+Recommends: default-logind | logind,
+            polkitd,
 Suggests: gnome-control-center
 Description: query and manipulate user account information
  The AccountService project provides a set of D-Bus

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with=gir,translations
+	dh $@ --with=gir
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V -- -c4
@@ -21,9 +21,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Ddocbook=true \
-		-Dgdmconffile=/etc/gdm3/custom.conf \
+		-Dgdmconffile=/etc/gdm3/daemon.conf \
 		-Dadmin_group=sudo \
 		-Dsystemdsystemunitdir=/lib/systemd/system \
 		-Dintrospection=true \
-		-Dextra_admin_groups=adm,cdrom,dip,lpadmin,plugdev,sambashare,libvirtd,lxd \
 		$(extra_meson_options)

## accountsservice 23.13.9

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')
 option('gdmconffile', type: 'string', value: '/etc/gdm/custom.conf', description: 'GDM configuration file')
+option('lightdmconffile', type: 'string', value: '/etc/lightdm/lightdm.conf', description: 'LightDM configuration file')
 
 option('admin_group', type: 'string', value: '', description: 'Set group for administrative accounts')
 option('extra_admin_groups', type: 'array', value: [], description: 'Comma-separated list of extra groups that administrator users are part of')

=== debian/changelog ===
accountsservice (23.13.9-7ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2087527). Remaining changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.
  * debian/patches/ubuntu_notest_language.patch:
   - Disable language tests on Ubuntu for now. Our patches to edit
     .pam_environment rely on access to the user directory which isn't working
     in the restricted testing environment

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Nov 2024 11:32:51 +0100

accountsservice (23.13.9-7) unstable; urgency=medium

  * Team upload
  * d/p/tests-s-assertEquals-assertEqual.patch:
    Add patch from upstream git to fix FTBFS with Python 3.12
    (Closes: #1074657)
  * d/p/implicit-funcs.patch:
    Replace NMU'd fix for #1066277 with upstream's functionally equivalent
    change
  * d/tests/control: Require isolation-container.
    The integration.py and pygi.py tests are not expected to pass without
    working system services, which autopkgtest does not guarantee unless
    we have this restriction.
  * d/tests: Skip integration.py if we don't have CAP_SYS_ADMIN.
    This works around systemd being unable to start polkitd in an
    unprivileged podman container (#1078205).
  * Enable full compiler-based hardening (Closes: #1032018)
  * d/patches: Improve DEP-3 metadata.
    Use the git-format-patch compatible dialect of DEP-3 for better interop
    with tools like gbp pq.
  * Add a Lintian override for an intentional empty directory (see #1038137)
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Aug 2024 10:08:19 +0100

accountsservice (23.13.9-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Mar 2024 22:57:03 +0100

accountsservice (23.13.9-6) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1057897)

  [ Michael Biebl ]
  * Rely on systemd.pc to get systemdsystemunitdir
  * Install empty /usr/share/accountsservice/interfaces directory.
    It's an integration point referenced in accounts-daemon.service.
    (Closes: #1038137)
  * Remove migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 12:30:27 +0100

accountsservice (23.13.9-5) unstable; urgency=medium

  * Team upload
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on GIR XML included by
    AccountsService-1.0.gir (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:14:43 +0000

accountsservice (23.13.9-4) unstable; urgency=medium

  * Team upload
  * Add locales-all to Build-Depends and enable Tests.test_languages
    - Dropped d/p/Disable-test_languages.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 04 Sep 2023 23:18:38 +0200

accountsservice (23.13.9-3) unstable; urgency=medium

  * Team upload
  * debian/patches/Disable-test_languages.patch
    - Temporary measure to work around failed test when building
      (closes: #1038865, #1041687).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 26 Aug 2023 03:37:58 +0200

accountsservice (23.13.9-2ubuntu6) noble; urgency=medium

  * Cherry-pick FTBFS fix from Debian
  [ Sebastian Ramacher ]
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 18:37:38 +0200

accountsservice (23.13.9-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:16:05 +0000

accountsservice (23.13.9-2ubuntu4) noble; urgency=medium

  * debian/patches/0001-tests-s-assertEquals-assertEqual.patch:
    Add patch to fix FTBFS with unittest from Python 3.12.
    (LP: #2057710)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 21:51:36 +0000

accountsservice (23.13.9-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:43 +0000

accountsservice (23.13.9-2ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Jun 2023 11:10:09 -0400



=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-translations,
                gobject-introspection (>= 0.9.12-4~),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                intltool,
                libdbus-1-dev (>= 1.9.18),
                libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.63.5),
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 209) [linux-any],
+               systemd-dev,
+               locales-all,
                meson (>= 0.50),
                polkitd,
                python3-dbus <!nocheck>,
@@ -19,10 +25,12 @@
                valac,
                xmlto
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
+Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
+XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
 
 Package: accountsservice
 Architecture: any
@@ -44,7 +52,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: accountsservice (<< 0.6.5)
 Description: query and manipulate user account information - shared libraries
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
@@ -62,7 +69,9 @@
          libaccountsservice0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.25.11),
          libpolkit-gobject-1-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: query and manipulate user account information - header files
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

binaries := $(shell dh_listpackages)
extra_meson_options =

ifneq ($(filter libaccountsservice-doc,$(binaries)),)
extra_meson_options += -Dgtk_doc=true
else
extra_meson_options += -Dgtk_doc=false
endif

%:
	dh $@ --with=gir,translations

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocbook=true \
		-Dgdmconffile=/etc/gdm3/custom.conf \
		-Dadmin_group=sudo \
		-Dintrospection=true \
		-Dextra_admin_groups=adm,cdrom,dip,lpadmin,plugdev,sambashare,libvirtd,users \
		$(extra_meson_options)

=== debian/tests/control ===
Tests: build
Depends: accountsservice, build-essential, libaccountsservice-dev
Restrictions: allow-stderr, superficial

Tests: pygi.py
Depends: accountsservice, gir1.2-accountsservice-1.0, libpam-systemd | libpam-elogind, python3, python3-gi
Restrictions: allow-stderr, isolation-container, superficial

Tests: integration.py
Depends:
 accountsservice,
 gir1.2-accountsservice-1.0,
 libcrypt1,
 libnss-systemd,
 libpam-systemd | libpam-elogind,
 polkitd,
 python3,
 python3-cap-ng,
 python3-gi,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-container,
 needs-root,
 skippable,
